APIReference data

Get an airport

GET
/api/v1/airports/{id}

Authorization

bearerAuth reference_data.read
headerAuthorizationBearer <API key or OAuth 2.1 access token>

Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.

Scope: reference_data.read

Path Parameters

id*integer

Resource ID.

Range1 <= value

Response Body

Airport.

application/json
  1. response
data*
Example Request
curl -X GET 'https://your-instance.example/api/v1/airports/1'
Example Response
{  "data": {    "id": 0,    "icao": "string",    "iata": "string",    "name": "string",    "municipality": "string",    "latitude": 0,    "longitude": 0,    "timezone": "string",    "type": "small_airport",    "continent": "AF",    "country": "string",    "custom": true  }}